/*************************************************************************************
 *  [Jedi]'s DiCe Script -- Config file v1.02
 * 
 * Configure the following variables :
 * the DICEDB, DICEJP, USERPATH, GLFTPDLOG are relative to /glftpd chroot dir
 *
 *
 *
 * MIN_GAMBLE - minimum amount of MB to start gambling, set it to 0 for no min limit  
 * MAX_GAMBLE - maximum amount of MB, set to very high number if u dont wish limit... 
 */

#define MIN_GAMBLE 100
#define MAX_GAMBLE 100000 

/* 
 *  DICESIZE - the normal dice, in the shape of a cube got 6 faces as you might
 *     already know ;), but here, like in D&D, you can set the amount of faces you want
 *	 on your dice, which allows users to pick a bet between 1 and DICESIZE :)
 *	 set it to a higher number, when more users involved, but dont be a bitch
 *	 and set it to a relatively very large number (like 100), or people wont play ! 
 *	 My recommendation: set it to a reasonable number, no higer than 20...	 
 */

#define DICESIZE 6

/*
 * NO_INFLATION_FLAG - this flag is very important, it can be either 0 or 1.
 *	 This flag controls wether you'll have credits inflation on your site or not.
 *	 when a user places a bet, the script doesnt take his credits right away,
 *	 only if he loses it takes his credits, but if he wins, he gets the jackpot,
 *	 the jackpot includes his bet and all the others, so in order not to have inflation
 *	 of credits in the site, we must give the user (jackpot - his_bet), this flag 
 *	 controlls it, set it to 0 if you want inflation, users will get (jackpot) which 
 *	 is all others taken credits + his bet which wasnt taken from him.
 *	 Or (RECOMMENDED) set it to 1 (default), to give the user (jackpot - his_bet).
 *	 Its important to say that each user gets his part of the jackpot (if there are
 *	 multiple winners) according to his bet, for example if UserA bets on 200mb
 *	 and UserB bets on 100Mb both are winners and jackpot has total of 1200Mb
 *	 UserA gets 2/3 of the jackpot (minus 200mb on which he has bet if flag=1)
 *	 which is 600mb, while userB gets 1/3 (minus 100mb...) which is 300Mb.
 *	 So in any case, even without inflation, you can have big competition
 *	 from users by telling them that the more you bet on, the bigger your share
 *	 in the jackpot is.
 *     Recommendation: If you set this flag to 1, set the dicesize to a relatively 
 *	 small number (6-10) that way you'll get more winners, more people will be satisfied, 
 *	 and you'r site wont lose credits from inflation.
 *	 more info on dice.docs
 *
 */

#define NO_INFLATION_FLAG 1

/*
 * MIN_GAMBLERS - minimum amount of USERS needed for "site dice roll", 
 *    set it to 0 if u dont wish minimum amount of gamblers 
 */

#define MIN_GAMBLERS 2


/*
 * MASTER_FLAG - Set the flag needed for dice start and dite roll, if you want to 
 *    allow anyone premission to start/roll set it to "", you can use one of gl's 
 *	 custom flags (J,K,L,M or N).
 *	 Generally, its a good idea to allow only siteops, thus this should be simply "1" 
 *	 Note: the flag must be quoted.
 *
 */

#define MASTER_FLAG "1"

/* DICEDB - The glftpd's relative path for the database where the gambler list will
 *     be stored, you can leave it as it is.
 *   DICEJP - The glftpd's relative path for the jackpot, its a small file where only
 *     a numebr will be stored, the starting point of each new jackpot, from previous
 *     games!
 *     Note: both directories are adjusted to the automatic installer, if you change it
 *	 you'll need to make some of the steps manually, see dice.docs for more info.
 *
 */

#define DICEDB "/ftp-data/dice/dice.db"
#define DICEJP "/ftp-data/dice/dice.jp"

/* USERPATH - Relatively to glftpd's chroot, this is the path where userfiles are stored
 *    its the default one, you shouldnt change it.
 *  GLFTPDLOG - Again, relatively to gl, this is the path to the glftpd logfile.
 *
 */

#define USERPATH "/ftp-data/users"
#define GLFTPDLOG "/ftp-data/logs/glftpd.log"


/* Limit leech and other flagged users (like siteops) from betting more than X mb 
 *  (or at all) 
 *  LIMIT_LEECH - if defined, leech users will be limited up to LIMIT_MB mb per bet.
 *                to disable comment it out.
 *  LIMIT_FLAGS - if defined, will limit users who match one/more these flags up to
 *                LIMIT_MB mb per bet, to disable comment it out.
 *  LIMIT_MB - The amount of mb allowed to leech/flags users to bet on, set to 0 to
 *             forbid users from betting at all.
 *
 */

#define LIMIT_LEECH
#define LIMIT_FLAGS "128AB"
#define LIMIT_MB 100


/* Automatic roll dice and automatic game restart....
 * AUTOROLL_MB - Set this option if you want to automaticly roll dice when total jackpot
 *               reaches AUTOROLL_MB amount of MB, this happens of course after a user bets.
 *               to disable set to 0 (zero).
 *
 * AUTOROLL_USERS - Set this to the max number of gamblers, when this number is reached, dice
 *                  will be automaticly rolled.
 *                  to disable set to 0 (zero).
 *
 * AUTORESTART - Set this option if you want a nonstop gaming, by starting a new round
 *               right after the last one has ended. to disable comment it out.
 *
 * A_USER - Required for either one (or both) of the option, it is the user who will be
 *          shown as the one who commenced the dice roll or the new game
 *
 * A_GROUP - Same as A_USER but this set the user's group.
 *
 * NOTE: if you are not using any of the AUTO* function,  you can comment the whole section
 *       out including A_USER, A_GROUP, but if you use either one of the AUTO* you gotta have
 *       A_USER and A_GROUP.
 */

#define AUTOROLL_MB 1000
#define AUTOROLL_USERS 10
#define AUTORESTART
#define A_USER "glftpd"
#define A_GROUP "glftpd"

/***** End of diceconf.h ****************************************************************/
